<template>
  <div>
      <div v-if="circle">
        <img :style="circled" :height="height" :width="width" alt="profilePic" :src="require(`@/assets/profilePics/${img}`)">
      </div>
      <div v-else>
        <img :height="height" :width="width" alt="profilePic" :src="require(`@/assets/profilePics/${img}`)">
      </div>
  </div>
</template>

<script>
export default {
  name: 'ProfilePic',
  props: {
    img: String,
    height: String,
    width: String,
    circle: Boolean
  },
  computed: {
    circled()  {
      return 'border-radius: ' + this.height + ';'
    }
  }
}
</script>

<style scoped>
</style>